]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
removing Quickdraw call
[wxWidgets.git] / configure
index bc6c34668694d28e9a75823274e211989b6546c8..e0050ad5560585a0b2c76b220241956b2d30c28e 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Id.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for wxWidgets 2.9.3.
+# Generated by GNU Autoconf 2.61 for wxWidgets 2.9.4.
 #
 # Report bugs to <wx-dev@lists.wxwidgets.org>.
 #
@@ -575,8 +575,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='wxWidgets'
 PACKAGE_TARNAME='wxwidgets'
-PACKAGE_VERSION='2.9.3'
-PACKAGE_STRING='wxWidgets 2.9.3'
+PACKAGE_VERSION='2.9.4'
+PACKAGE_STRING='wxWidgets 2.9.4'
 PACKAGE_BUGREPORT='wx-dev@lists.wxwidgets.org'
 
 ac_unique_file="wx-config.in"
@@ -727,6 +727,8 @@ HILDON2_CFLAGS
 HILDON2_LIBS
 PYTHON
 COND_PYTHON
+WEBKIT_CFLAGS
+WEBKIT_LIBS
 CAIRO_CFLAGS
 CAIRO_LIBS
 GST_CFLAGS
@@ -918,8 +920,6 @@ COND_PLATFORM_MSDOS_1
 COND_PLATFORM_OS2_1
 COND_PLATFORM_UNIX_0
 COND_PLATFORM_UNIX_1
-COND_PLATFORM_UNIX_1_TOOLKIT_MGL
-COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1
 COND_PLATFORM_UNIX_1_USE_GUI_1
 COND_PLATFORM_UNIX_1_USE_PLUGINS_0
 COND_PLATFORM_WIN32_0
@@ -954,8 +954,6 @@ COND_TOOLKIT_GTK_TOOLKIT_VERSION__USE_GUI_1
 COND_TOOLKIT_GTK_TOOLKIT_VERSION__USE_GUI_1_WXUNIV_0
 COND_TOOLKIT_GTK_USE_GUI_1
 COND_TOOLKIT_MAC
-COND_TOOLKIT_MGL
-COND_TOOLKIT_MGL_USE_GUI_1
 COND_TOOLKIT_MOTIF
 COND_TOOLKIT_MOTIF_USE_GUI_1
 COND_TOOLKIT_MOTIF_USE_GUI_1_WXUNIV_0
@@ -1116,6 +1114,8 @@ HILDON_CFLAGS
 HILDON_LIBS
 HILDON2_CFLAGS
 HILDON2_LIBS
+WEBKIT_CFLAGS
+WEBKIT_LIBS
 CAIRO_CFLAGS
 CAIRO_LIBS
 GST_CFLAGS
@@ -1623,7 +1623,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures wxWidgets 2.9.3 to adapt to many kinds of systems.
+\`configure' configures wxWidgets 2.9.4 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1692,7 +1692,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of wxWidgets 2.9.3:";;
+     short | recursive ) echo "Configuration of wxWidgets 2.9.4:";;
    esac
   cat <<\_ACEOF
 
@@ -1734,7 +1734,7 @@ Optional Features:
   --enable-permissive     compile code disregarding strict ANSI
   --enable-no_deps        create code without dependency information
   --disable-vararg_macros don't use vararg macros, even if they are supported
-  --enable-universal_binary  create universal binary with Mac PPC and i386 (and x86_64 if using Cocoa) architectures
+  --enable-universal_binary=archs create universal binary for the specified (or all supported) architectures
   --enable-macosx_arch=ARCH  build for just the specified architecture
   --enable-compat26       enable wxWidgets 2.6 compatibility
   --disable-compat28      disable wxWidgets 2.8 compatibility
@@ -1980,7 +1980,6 @@ Optional Packages:
   --with-wine             use Wine
   --with-msw              use MS-Windows
   --with-pm               use OS/2 Presentation Manager
-  --with-mgl              use SciTech MGL
   --with-directfb         use DirectFB
   --with-microwin         use MicroWindows
   --with-x11              use X11
@@ -2076,6 +2075,9 @@ Some influential environment variables:
               C compiler flags for HILDON2, overriding pkg-config
   HILDON2_LIBS
               linker flags for HILDON2, overriding pkg-config
+  WEBKIT_CFLAGS
+              C compiler flags for WEBKIT, overriding pkg-config
+  WEBKIT_LIBS linker flags for WEBKIT, overriding pkg-config
   CAIRO_CFLAGS
               C compiler flags for CAIRO, overriding pkg-config
   CAIRO_LIBS  linker flags for CAIRO, overriding pkg-config
@@ -2146,7 +2148,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-wxWidgets configure 2.9.3
+wxWidgets configure 2.9.4
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2160,7 +2162,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by wxWidgets $as_me 2.9.3, which was
+It was created by wxWidgets $as_me 2.9.4, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2642,7 +2644,7 @@ fi
 
 wx_major_version_number=2
 wx_minor_version_number=9
-wx_release_number=3
+wx_release_number=4
 wx_subrelease_number=0
 
 WX_RELEASE=$wx_major_version_number.$wx_minor_version_number
@@ -2679,14 +2681,13 @@ USE_ALPHA=
 
 NEEDS_D_REENTRANT_FOR_R_FUNCS=0
 
-ALL_TOOLKITS="COCOA GTK OSX_CARBON OSX_COCOA OSX_IPHONE MGL MICROWIN MOTIF MSW PM X11 DFB"
+ALL_TOOLKITS="COCOA GTK OSX_CARBON OSX_COCOA OSX_IPHONE MICROWIN MOTIF MSW PM X11 DFB"
 
 DEFAULT_wxUSE_OLD_COCOA=0
 DEFAULT_wxUSE_GTK=0
 DEFAULT_wxUSE_OSX_CARBON=0
 DEFAULT_wxUSE_OSX_COCOA=0
 DEFAULT_wxUSE_OSX_IPHONE=0
-DEFAULT_wxUSE_MGL=0
 DEFAULT_wxUSE_MICROWIN=0
 DEFAULT_wxUSE_MOTIF=0
 DEFAULT_wxUSE_MSW=0
@@ -2699,7 +2700,6 @@ DEFAULT_DEFAULT_wxUSE_GTK=0
 DEFAULT_DEFAULT_wxUSE_OSX_CARBON=0
 DEFAULT_DEFAULT_wxUSE_OSX_COCOA=0
 DEFAULT_DEFAULT_wxUSE_OSX_IPHONE=0
-DEFAULT_DEFAULT_wxUSE_MGL=0
 DEFAULT_DEFAULT_wxUSE_MICROWIN=0
 DEFAULT_DEFAULT_wxUSE_MOTIF=0
 DEFAULT_DEFAULT_wxUSE_MSW=0
@@ -2936,7 +2936,6 @@ _ACEOF
 _ACEOF
 
     PROGRAM_EXT=".exe"
-    DEFAULT_DEFAULT_wxUSE_MGL=1
   ;;
 
   *-pc-os2_emx | *-pc-os2-emx )
@@ -3488,12 +3487,6 @@ if test "${with_pm+set}" = set; then
 fi
 
 
-# Check whether --with-mgl was given.
-if test "${with_mgl+set}" = set; then
-  withval=$with_mgl; wxUSE_MGL="$withval" wxUSE_UNIVERSAL="yes" CACHE_MGL=1 TOOLKIT_GIVEN=1
-fi
-
-
 # Check whether --with-directfb was given.
 if test "${with_directfb+set}" = set; then
   withval=$with_directfb; wxUSE_DFB="$withval" wxUSE_UNIVERSAL="yes" CACHE_DFB=1 TOOLKIT_GIVEN=1
@@ -3653,7 +3646,7 @@ echo "$as_me: error: BeOS GUI is not supported yet, use --disable-gui" >&2;}
     fi
 
             NUM_TOOLKITS=`expr ${wxUSE_OLD_COCOA:-0} + ${wxUSE_GTK:-0} + ${wxUSE_OSX_CARBON:-0} \
-                  + ${wxUSE_OSX_COCOA:-0} + ${wxUSE_OSX_IPHONE:-0} + ${wxUSE_MGL:-0} + ${wxUSE_DFB:-0} \
+                  + ${wxUSE_OSX_COCOA:-0} + ${wxUSE_OSX_IPHONE:-0} + ${wxUSE_DFB:-0} \
                   + ${wxUSE_MICROWIN:-0} + ${wxUSE_MOTIF:-0} + ${wxUSE_MSW:-0} + ${wxUSE_X11:-0}`
 
         case "${host}" in
@@ -4499,6 +4492,8 @@ else
 
 fi
 
+{ echo "$as_me:$LINENO: result: ${enable_debug-default}" >&5
+echo "${ECHO_T}${enable_debug-default}" >&6; }
 
 case "$wxUSE_DEBUG" in
     yes)
@@ -19218,62 +19213,46 @@ if test "$wxUSE_MAC" = 1; then
 retest_macosx_linking=no
 
 OSX_ARCH_OPTS=""
-if test "x$wxUSE_MAC_ARCH" != xno; then
-    OSX_ARCH_OPTS="-arch $wxUSE_MAC_ARCH"
-fi
 
-    if test "x$wxUSE_UNIVERSAL_BINARY" != xno ; then
-                        if test "x$wxUSE_UNIVERSAL_BINARY" == xyes; then
-            # Implicitly turn on the new --with-macosx-sdk using the default
-            # SDK which provides the behaviour this option has always had.
-            if test "x$wxUSE_MACOSX_SDK" = "x"; then
-                { echo "$as_me:$LINENO: WARNING: Enabling default SDK due to --enable-universal_binary." >&5
-echo "$as_me: WARNING: Enabling default SDK due to --enable-universal_binary." >&2;}
-                { echo "$as_me:$LINENO: WARNING: If you don't want this, specify --without-macosx-sdk" >&5
-echo "$as_me: WARNING: If you don't want this, specify --without-macosx-sdk" >&2;}
-                wxUSE_MACOSX_SDK=yes
-            fi
-        else
-            # Complain to user if he specified an argument to --enable-universal_binary
-            # and also 1) specified --with-macosx-sdk using the default (yes) or
-            # 2) specified --with-macosx-sdk using a path or 3) specified
-            # --without-macosx-sdk (no).
-            if test "x$wxUSE_MACOSX_SDK" != "x" ; then
-                { { echo "$as_me:$LINENO: error: Please specify the new --with-macosx-sdk=PATH and do not specify an arg to --enable-universal_binary
-See \`config.log' for more details." >&5
-echo "$as_me: error: Please specify the new --with-macosx-sdk=PATH and do not specify an arg to --enable-universal_binary
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-            else
-                # Put the SDK path into the wxUSE_MACOSX_SDK.  We don't have to
-                # special-case the empty string because the below test simply
-                # converts "no" to the empty string anyway.
-                wxUSE_MACOSX_SDK="$wxUSE_UNIVERSAL_BINARY"
-                                { echo "$as_me:$LINENO: WARNING: Please use --with-macosx-sdk=PATH and --enable-universal_binary without an argument" >&5
-echo "$as_me: WARNING: Please use --with-macosx-sdk=PATH and --enable-universal_binary without an argument" >&2;}
-            fi
-        fi
-                OSX_ARCH_OPTS="-arch ppc -arch i386"
-       if test "$wxUSE_OSX_COCOA" = 1; then
-            OSX_ARCH_OPTS="$OSX_ARCH_OPTS -arch x86_64"
+if test "x$wxUSE_UNIVERSAL_BINARY" != xno ; then
+    if test "x$wxUSE_MAC_ARCH" != xno; then
+        { echo "$as_me:$LINENO: WARNING: --enable-macosx_arch is ignored when --enable-universal_binary is used." >&5
+echo "$as_me: WARNING: --enable-macosx_arch is ignored when --enable-universal_binary is used." >&2;}
+    fi
+
+    if test "x$wxUSE_UNIVERSAL_BINARY" != xyes; then
+        OSX_ARCH_OPTS=$wxUSE_UNIVERSAL_BINARY
+    else         OSX_ARCH_OPTS="ppc,i386"
+        if test "$wxUSE_OSX_COCOA" = 1; then
+            OSX_ARCH_OPTS="$OSX_ARCH_OPTS,x86_64"
         fi
-        { echo "$as_me:$LINENO: checking for universal binary architectures" >&5
-echo $ECHO_N "checking for universal binary architectures... $ECHO_C" >&6; }
-       { echo "$as_me:$LINENO: result: $OSX_ARCH_OPTS" >&5
+    fi
+
+    { echo "$as_me:$LINENO: checking for architectures to use in universal binary" >&5
+echo $ECHO_N "checking for architectures to use in universal binary... $ECHO_C" >&6; }
+    { echo "$as_me:$LINENO: result: $OSX_ARCH_OPTS" >&5
 echo "${ECHO_T}$OSX_ARCH_OPTS" >&6; }
 
-                                                                                                                retest_macosx_linking=yes
+                                                        retest_macosx_linking=yes
 
-                                        { echo "$as_me:$LINENO: WARNING: Disabling precompiled headers due to universal binary build." >&5
+                    { echo "$as_me:$LINENO: WARNING: Disabling precompiled headers due to universal binary build." >&5
 echo "$as_me: WARNING: Disabling precompiled headers due to universal binary build." >&2;}
-        bk_use_pch=no
+    bk_use_pch=no
+else
+    if test "x$wxUSE_MAC_ARCH" != xno; then
+        OSX_ARCH_OPTS=$wxUSE_MAC_ARCH
     fi
+fi
 
-CXXFLAGS="$OSX_ARCH_OPTS $CXXFLAGS"
-CFLAGS="$OSX_ARCH_OPTS $CFLAGS"
-OBJCXXFLAGS="$OSX_ARCH_OPTS $OBJCXXFLAGS"
-OBJCFLAGS="$OSX_ARCH_OPTS $OBJCFLAGS"
-LDFLAGS="$OSX_ARCH_OPTS $LDFLAGS"
+if test "x$OSX_ARCH_OPTS" != "x"; then
+    OSX_ARCH_OPTS=`echo $OSX_ARCH_OPTS | sed -e 's/^/-arch /' -e 's/,/ -arch /g'`
+
+    CXXFLAGS="$OSX_ARCH_OPTS $CXXFLAGS"
+    CFLAGS="$OSX_ARCH_OPTS $CFLAGS"
+    OBJCXXFLAGS="$OSX_ARCH_OPTS $OBJCXXFLAGS"
+    OBJCFLAGS="$OSX_ARCH_OPTS $OBJCFLAGS"
+    LDFLAGS="$OSX_ARCH_OPTS $LDFLAGS"
+fi
 
 if test "x$wxUSE_MACOSX_SDK" = "xno"; then
     wxUSE_MACOSX_SDK=
@@ -19583,6 +19562,16 @@ case "${host}" in
 esac
 
 
+if test "$USE_LINUX" = 1 -o "$USE_GNU" = 1; then
+                    cat >>confdefs.h <<\_ACEOF
+#define _GNU_SOURCE 1
+_ACEOF
+
+
+            GNU_SOURCE_FLAG="-D_GNU_SOURCE"
+    CFLAGS="$GNU_SOURCE_FLAG $CFLAGS"
+fi
+
 if test "x$USE_AIX" = "x1"; then
             if test "x$XLCXX" = "xyes"; then
         CXXFLAGS="-qunique $CXXFLAGS"
@@ -25597,7 +25586,7 @@ _ACEOF
 
 
 if test "x$SUNCXX" = xyes; then
-    CXXFLAGS="-features=tmplife $CXXFLAGS"
+    CXXFLAGS="-features=tmplife $GNU_SOURCE_FLAG $CXXFLAGS"
 fi
 
 if test "x$SUNCC" = xyes; then
@@ -27379,84 +27368,6 @@ echo "$as_me: not updating unwritable cache $cache_file" >&6;}
 fi
 rm -f confcache
 
-if test "$USE_LINUX" = 1 -o "$USE_GNU" = 1; then
-    { echo "$as_me:$LINENO: checking for glibc 2.1 or later" >&5
-echo $ECHO_N "checking for glibc 2.1 or later... $ECHO_C" >&6; }
-if test "${wx_cv_lib_glibc21+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-        cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <features.h>
-int
-main ()
-{
-
-                #if (__GLIBC__ < 2) || (__GLIBC_MINOR__ < 1)
-                not glibc 2.1
-                #endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-
-                wx_cv_lib_glibc21=yes
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-                wx_cv_lib_glibc21=no
-
-
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-
-fi
-{ echo "$as_me:$LINENO: result: $wx_cv_lib_glibc21" >&5
-echo "${ECHO_T}$wx_cv_lib_glibc21" >&6; }
-    if test "$wx_cv_lib_glibc21" = "yes"; then
-        cat >>confdefs.h <<\_ACEOF
-#define wxHAVE_GLIBC2 1
-_ACEOF
-
-    fi
-fi
-
-if test "x$wx_cv_lib_glibc21" = "xyes"; then
-    if test "$wxUSE_UNICODE" = "yes" -o "$wxUSE_THREADS" = "yes"; then
-        cat >>confdefs.h <<\_ACEOF
-#define _GNU_SOURCE 1
-_ACEOF
-
-    fi
-fi
-
 have_cos=0
 have_floor=0
 
@@ -28439,27 +28350,20 @@ if test "$wxUSE_LIBPNG" != "no" ; then
 _ACEOF
 
 
-    if test "$wxUSE_MGL" = 1 -a "$wxUSE_LIBPNG" = "builtin" ; then
-        { echo "$as_me:$LINENO: WARNING: wxMGL doesn't work with builtin png library, will use MGL one instead" >&5
-echo "$as_me: WARNING: wxMGL doesn't work with builtin png library, will use MGL one instead" >&2;}
-        wxUSE_LIBPNG=sys
-    fi
-
-                if test "$wxUSE_MGL" != 1 -a "$wxUSE_LIBPNG" = "sys" -a "$wxUSE_ZLIB" != "sys" ; then
+            if test "$wxUSE_LIBPNG" = "sys" -a "$wxUSE_ZLIB" != "sys" ; then
         { echo "$as_me:$LINENO: WARNING: system png library doesn't work without system zlib, will use built-in instead" >&5
 echo "$as_me: WARNING: system png library doesn't work without system zlib, will use built-in instead" >&2;}
         wxUSE_LIBPNG=builtin
     fi
 
-    if test "$wxUSE_MGL" != 1 ; then
-                if test "$wxUSE_LIBPNG" = "sys" -o "$wxUSE_LIBPNG" = "yes" ; then
-                                    { echo "$as_me:$LINENO: checking for png.h > 0.90" >&5
+    if test "$wxUSE_LIBPNG" = "sys" -o "$wxUSE_LIBPNG" = "yes" ; then
+                        { echo "$as_me:$LINENO: checking for png.h > 0.90" >&5
 echo $ECHO_N "checking for png.h > 0.90... $ECHO_C" >&6; }
 if test "${ac_cv_header_png_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-                      unset ac_cv_header_png_h
+                  unset ac_cv_header_png_h
 
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -28469,17 +28373,17 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                        #include <png.h>
-                        #include <stdio.h>
+                    #include <png.h>
+                    #include <stdio.h>
 
-                        int main()
-                        {
-                            FILE *f=fopen("conftestval", "w");
-                            if (!f) exit(1);
-                            fprintf(f, "%s",
-                                     PNG_LIBPNG_VER > 90 ? "yes" : "no");
-                            exit(0);
-                        }
+                    int main()
+                    {
+                        FILE *f=fopen("conftestval", "w");
+                        if (!f) exit(1);
+                        fprintf(f, "%s",
+                                 PNG_LIBPNG_VER > 90 ? "yes" : "no");
+                        exit(0);
+                    }
 
 _ACEOF
 rm -f conftest$ac_exeext
@@ -28519,7 +28423,7 @@ fi
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5
 echo "${ECHO_T}$ac_cv_header_png_h" >&6; }
-            { echo "$as_me:$LINENO: checking for png.h" >&5
+        { echo "$as_me:$LINENO: checking for png.h" >&5
 echo $ECHO_N "checking for png.h... $ECHO_C" >&6; }
 if test "${ac_cv_header_png_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -28566,8 +28470,8 @@ echo "${ECHO_T}$ac_cv_header_png_h" >&6; }
 
 
 
-            if test "$ac_cv_header_png_h" = "yes"; then
-                { echo "$as_me:$LINENO: checking for png_sig_cmp in -lpng" >&5
+        if test "$ac_cv_header_png_h" = "yes"; then
+            { echo "$as_me:$LINENO: checking for png_sig_cmp in -lpng" >&5
 echo $ECHO_N "checking for png_sig_cmp in -lpng... $ECHO_C" >&6; }
 if test "${ac_cv_lib_png_png_sig_cmp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -28632,21 +28536,20 @@ if test $ac_cv_lib_png_png_sig_cmp = yes; then
   PNG_LINK=" -lpng -lz"
 fi
 
-            fi
+        fi
 
-            if test "x$PNG_LINK" = "x" ; then
-                if test "$wxUSE_LIBPNG" = "sys" ; then
-                    { { echo "$as_me:$LINENO: error: system png library not found or too old! Use --with-libpng=builtin to use built-in version" >&5
+        if test "x$PNG_LINK" = "x" ; then
+            if test "$wxUSE_LIBPNG" = "sys" ; then
+                { { echo "$as_me:$LINENO: error: system png library not found or too old! Use --with-libpng=builtin to use built-in version" >&5
 echo "$as_me: error: system png library not found or too old! Use --with-libpng=builtin to use built-in version" >&2;}
    { (exit 1); exit 1; }; }
-                else
-                    { echo "$as_me:$LINENO: WARNING: system png library not found or too old, will use built-in instead" >&5
-echo "$as_me: WARNING: system png library not found or too old, will use built-in instead" >&2;}
-                    wxUSE_LIBPNG=builtin
-                fi
             else
-                                wxUSE_LIBPNG=sys
+                { echo "$as_me:$LINENO: WARNING: system png library not found or too old, will use built-in instead" >&5
+echo "$as_me: WARNING: system png library not found or too old, will use built-in instead" >&2;}
+                wxUSE_LIBPNG=builtin
             fi
+        else
+                        wxUSE_LIBPNG=sys
         fi
     fi
 fi
@@ -28659,17 +28562,10 @@ if test "$wxUSE_LIBJPEG" != "no" ; then
 _ACEOF
 
 
-    if test "$wxUSE_MGL" = 1 -a "$wxUSE_LIBJPEG" = "builtin" ; then
-        { echo "$as_me:$LINENO: WARNING: wxMGL doesn't work with builtin jpeg library, will use MGL one instead" >&5
-echo "$as_me: WARNING: wxMGL doesn't work with builtin jpeg library, will use MGL one instead" >&2;}
-        wxUSE_LIBJPEG=sys
-    fi
-
-    if test "$wxUSE_MGL" != 1 ; then
-                if test "$wxUSE_LIBJPEG" = "sys" -o "$wxUSE_LIBJPEG" = "yes" ; then
-                                                { echo "$as_me:$LINENO: checking for jpeglib.h" >&5
+    if test "$wxUSE_LIBJPEG" = "sys" -o "$wxUSE_LIBJPEG" = "yes" ; then
+                                { echo "$as_me:$LINENO: checking for jpeglib.h" >&5
 echo $ECHO_N "checking for jpeglib.h... $ECHO_C" >&6; }
-            if test "${ac_cv_header_jpeglib_h+set}" = set; then
+        if test "${ac_cv_header_jpeglib_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -28679,9 +28575,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                        #undef HAVE_STDLIB_H
-                        #include <stdio.h>
-                        #include <jpeglib.h>
+                    #undef HAVE_STDLIB_H
+                    #include <stdio.h>
+                    #include <jpeglib.h>
 
 int
 main ()
@@ -28722,11 +28618,11 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
 fi
 
-            { echo "$as_me:$LINENO: result: $ac_cv_header_jpeglib_h" >&5
+        { echo "$as_me:$LINENO: result: $ac_cv_header_jpeglib_h" >&5
 echo "${ECHO_T}$ac_cv_header_jpeglib_h" >&6; }
 
-            if test "$ac_cv_header_jpeglib_h" = "yes"; then
-                { echo "$as_me:$LINENO: checking for jpeg_read_header in -ljpeg" >&5
+        if test "$ac_cv_header_jpeglib_h" = "yes"; then
+            { echo "$as_me:$LINENO: checking for jpeg_read_header in -ljpeg" >&5
 echo $ECHO_N "checking for jpeg_read_header in -ljpeg... $ECHO_C" >&6; }
 if test "${ac_cv_lib_jpeg_jpeg_read_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -28791,23 +28687,23 @@ if test $ac_cv_lib_jpeg_jpeg_read_header = yes; then
   JPEG_LINK=" -ljpeg"
 fi
 
-            fi
+        fi
 
-            if test "x$JPEG_LINK" = "x" ; then
-                if test "$wxUSE_LIBJPEG" = "sys" ; then
-                    { { echo "$as_me:$LINENO: error: system jpeg library not found! Use --with-libjpeg=builtin to use built-in version" >&5
+        if test "x$JPEG_LINK" = "x" ; then
+            if test "$wxUSE_LIBJPEG" = "sys" ; then
+                { { echo "$as_me:$LINENO: error: system jpeg library not found! Use --with-libjpeg=builtin to use built-in version" >&5
 echo "$as_me: error: system jpeg library not found! Use --with-libjpeg=builtin to use built-in version" >&2;}
    { (exit 1); exit 1; }; }
-                else
-                    { echo "$as_me:$LINENO: WARNING: system jpeg library not found, will use built-in instead" >&5
-echo "$as_me: WARNING: system jpeg library not found, will use built-in instead" >&2;}
-                    wxUSE_LIBJPEG=builtin
-                fi
             else
-                                wxUSE_LIBJPEG=sys
+                { echo "$as_me:$LINENO: WARNING: system jpeg library not found, will use built-in instead" >&5
+echo "$as_me: WARNING: system jpeg library not found, will use built-in instead" >&2;}
+                wxUSE_LIBJPEG=builtin
+            fi
+        else
+                        wxUSE_LIBJPEG=sys
 
-                if test "$wxUSE_MSW" = 1; then
-                                                                                                    { echo "$as_me:$LINENO: checking for boolean" >&5
+            if test "$wxUSE_MSW" = 1; then
+                                                                                { echo "$as_me:$LINENO: checking for boolean" >&5
 echo $ECHO_N "checking for boolean... $ECHO_C" >&6; }
 if test "${ac_cv_type_boolean+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -28868,7 +28764,7 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-                            { echo "$as_me:$LINENO: checking for boolean" >&5
+                        { echo "$as_me:$LINENO: checking for boolean" >&5
 echo $ECHO_N "checking for boolean... $ECHO_C" >&6; }
 if test "${ac_cv_type_boolean+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -28880,9 +28776,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
 typedef boolean ac__type_new_;
@@ -28945,9 +28841,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -28987,9 +28883,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -29046,9 +28942,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -29088,9 +28984,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -29157,9 +29053,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -29220,9 +29116,9 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                                    #undef HAVE_BOOLEAN
-                                    #include <stdio.h>
-                                    #include <jpeglib.h>
+                                #undef HAVE_BOOLEAN
+                                #include <stdio.h>
+                                #include <jpeglib.h>
 
 
    typedef boolean ac__type_sizeof_;
@@ -29308,14 +29204,13 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-                            cat >>confdefs.h <<_ACEOF
+                        cat >>confdefs.h <<_ACEOF
 #define wxHACK_BOOLEAN wxInt`expr 8 \* $ac_cv_sizeof_boolean`
 _ACEOF
 
 
 fi
 
-                fi
             fi
         fi
     fi
@@ -30181,7 +30076,7 @@ main ()
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If pkg-config was correct, then it is best\n");
       printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+      printf("*** by modifying your LD_LIBRARY_PATH environment variable, or by editing\n");
       printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
       printf("*** required on your system.\n");
       printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
@@ -30217,7 +30112,7 @@ main ()
         printf("*** being found. The easiest way to fix this is to remove the old version\n");
         printf("*** of GTK+, but you can also set the PKG_CONFIG environment to point to the\n");
         printf("*** correct copy of pkg-config. (In this case, you will have to\n");
-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+        printf("*** modify your LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf\n");
         printf("*** so that the correct libraries are found at run-time))\n");
       }
     }
@@ -30331,7 +30226,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
         echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means GTK+ is incorrectly installed."
+          echo "*** exact error that occurred. This usually means GTK+ is incorrectly installed."
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
@@ -30498,7 +30393,7 @@ main ()
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If gtk-config was correct, then it is best\n");
       printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+      printf("*** by modifying your LD_LIBRARY_PATH environment variable, or by editing\n");
       printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
       printf("*** required on your system.\n");
       printf("*** If gtk-config was wrong, set the environment variable GTK_CONFIG\n");
@@ -30537,7 +30432,7 @@ main ()
         printf("*** being found. The easiest way to fix this is to remove the old version\n");
         printf("*** of GTK+, but you can also set the GTK_CONFIG environment to point to the\n");
         printf("*** correct copy of gtk-config. (In this case, you will have to\n");
-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+        printf("*** modify your LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf\n");
         printf("*** so that the correct libraries are found at run-time))\n");
       }
     }
@@ -30656,7 +30551,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
         echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means GTK was incorrectly installed"
+          echo "*** exact error that occurred. This usually means GTK was incorrectly installed"
           echo "*** or that you have moved GTK since it was installed. In the latter case, you"
           echo "*** may want to edit the gtk-config script: $GTK_CONFIG"
 fi
@@ -30823,7 +30718,7 @@ main ()
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If gtk-config was correct, then it is best\n");
       printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+      printf("*** by modifying your LD_LIBRARY_PATH environment variable, or by editing\n");
       printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
       printf("*** required on your system.\n");
       printf("*** If gtk-config was wrong, set the environment variable GTK_CONFIG\n");
@@ -30862,7 +30757,7 @@ main ()
         printf("*** being found. The easiest way to fix this is to remove the old version\n");
         printf("*** of GTK+, but you can also set the GTK_CONFIG environment to point to the\n");
         printf("*** correct copy of gtk-config. (In this case, you will have to\n");
-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+        printf("*** modify your LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf\n");
         printf("*** so that the correct libraries are found at run-time))\n");
       }
     }
@@ -30981,7 +30876,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
         echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means GTK was incorrectly installed"
+          echo "*** exact error that occurred. This usually means GTK was incorrectly installed"
           echo "*** or that you have moved GTK since it was installed. In the latter case, you"
           echo "*** may want to edit the gtk-config script: $GTK_CONFIG"
 fi
@@ -31480,81 +31375,6 @@ echo "${ECHO_T}not found" >&6; }
                                                                                                                     fi
     fi
 
-    if test "$wxUSE_MGL" = 1; then
-       { echo "$as_me:$LINENO: checking for SciTech MGL library" >&5
-echo $ECHO_N "checking for SciTech MGL library... $ECHO_C" >&6; }
-        if test "x$MGL_ROOT" = x ; then
-            { echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-            { { echo "$as_me:$LINENO: error: Cannot find MGL library. Make sure MGL_ROOT is set." >&5
-echo "$as_me: error: Cannot find MGL library. Make sure MGL_ROOT is set." >&2;}
-   { (exit 1); exit 1; }; }
-        else
-            { echo "$as_me:$LINENO: result: $MGL_ROOT" >&5
-echo "${ECHO_T}$MGL_ROOT" >&6; }
-        fi
-
-        { echo "$as_me:$LINENO: checking for libmgl location" >&5
-echo $ECHO_N "checking for libmgl location... $ECHO_C" >&6; }
-                                case "${host}" in
-            *-*-linux* )
-                                          if test "x$wxUSE_SHARED" = xyes ; then
-                  mgl_os_candidates="linux/gcc/x86/so linux/gcc/x86/a linux/gcc/glibc.so linux/gcc/glibc"
-              else
-                  mgl_os_candidates="linux/gcc/x86/a linux/gcc/x86/so linux/gcc/glibc linux/gcc/glibc.so"
-              fi
-              ;;
-            *-pc-msdosdjgpp )
-              mgl_os_candidates="dos32/dj2"
-              ;;
-            *)
-              { { echo "$as_me:$LINENO: error: This system type ${host} is not yet supported by wxMGL." >&5
-echo "$as_me: error: This system type ${host} is not yet supported by wxMGL." >&2;}
-   { (exit 1); exit 1; }; }
-        esac
-
-        mgl_lib_type=""
-        mgl_os=""
-
-        for mgl_os_i in $mgl_os_candidates ; do
-            if test "x$mgl_os" = x ; then
-                if test "$wxUSE_DEBUG_FLAG" = yes ; then
-                    if test -f $MGL_ROOT/lib/debug/$mgl_os_i/libmgl.a -o \
-                            -f $MGL_ROOT/lib/debug/$mgl_os_i/libmgl.so; then
-                        mgl_lib_type=debug
-                        mgl_os=$mgl_os_i
-                    fi
-                fi
-                if test "x$mgl_lib_type" = x ; then
-                    if test -f $MGL_ROOT/lib/release/$mgl_os_i/libmgl.a -o \
-                            -f $MGL_ROOT/lib/release/$mgl_os_i/libmgl.so; then
-                        mgl_lib_type=release
-                        mgl_os=$mgl_os_i
-                    fi
-                fi
-            fi
-        done
-
-        if test "x$mgl_os" = x ; then
-            { echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-            { { echo "$as_me:$LINENO: error: Cannot find MGL libraries, make sure they are compiled." >&5
-echo "$as_me: error: Cannot find MGL libraries, make sure they are compiled." >&2;}
-   { (exit 1); exit 1; }; }
-        fi
-        { echo "$as_me:$LINENO: result: \"$MGL_ROOT/lib/$mgl_lib_type/$mgl_os\"" >&5
-echo "${ECHO_T}\"$MGL_ROOT/lib/$mgl_lib_type/$mgl_os\"" >&6; }
-
-        wxUSE_UNIVERSAL="yes"
-
-        TOOLKIT_INCLUDE="-I$MGL_ROOT/include"
-        GUI_TK_LIBRARY="-L$MGL_ROOT/lib/$mgl_lib_type/$mgl_os -lmgl -lmglcpp -lpm"
-
-        AFMINSTALL=afminstall
-        TOOLKIT=MGL
-        GUIDIST=MGL_DIST
-    fi
-
     if test "$wxUSE_DFB" = 1; then
 
 
@@ -46424,28 +46244,27 @@ _ACEOF
 fi
 
 if test "$USE_UNIX" = 1 ; then
-        if test "$wxUSE_MGL" != 1; then
-                                { echo "$as_me:$LINENO: checking for SNDCTL_DSP_SPEED in sys/soundcard.h" >&5
+                { echo "$as_me:$LINENO: checking for SNDCTL_DSP_SPEED in sys/soundcard.h" >&5
 echo $ECHO_N "checking for SNDCTL_DSP_SPEED in sys/soundcard.h... $ECHO_C" >&6; }
 if test "${ac_cv_header_sys_soundcard+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-            cat >conftest.$ac_ext <<_ACEOF
+        cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                    #include <sys/ioctl.h>
-                    #include <sys/soundcard.h>
+                #include <sys/ioctl.h>
+                #include <sys/soundcard.h>
 
 int
 main ()
 {
 
-                    ioctl(0, SNDCTL_DSP_SPEED, 0);
+                ioctl(0, SNDCTL_DSP_SPEED, 0);
 
   ;
   return 0;
@@ -46475,23 +46294,23 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                    saveLibs="$LIBS"
-                    LIBS="$saveLibs -lossaudio"
-                    cat >conftest.$ac_ext <<_ACEOF
+                saveLibs="$LIBS"
+                LIBS="$saveLibs -lossaudio"
+                cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-                            #include <sys/ioctl.h>
-                            #include <sys/soundcard.h>
+                        #include <sys/ioctl.h>
+                        #include <sys/soundcard.h>
 
 int
 main ()
 {
 
-                            ioctl(0, SNDCTL_DSP_SPEED, 0);
+                        ioctl(0, SNDCTL_DSP_SPEED, 0);
 
   ;
   return 0;
@@ -46521,8 +46340,8 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
 
-                            LIBS="$saveLibs"
-                            ac_cv_header_sys_soundcard=no
+                        LIBS="$saveLibs"
+                        ac_cv_header_sys_soundcard=no
 
 
 fi
@@ -46539,7 +46358,6 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_header_sys_soundcard" >&5
 echo "${ECHO_T}$ac_cv_header_sys_soundcard" >&6; }
-    fi
 
     if test "$ac_cv_header_sys_soundcard" = "yes"; then
         cat >>confdefs.h <<\_ACEOF
@@ -46847,7 +46665,7 @@ else
 sed 's/^/| /' conftest.$ac_ext >&5
 
         echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means SDL was incorrectly installed"
+          echo "*** exact error that occurred. This usually means SDL was incorrectly installed"
           echo "*** or that you have moved SDL since it was installed. In the latter case, you"
           echo "*** may want to edit the sdl-config script: $SDL_CONFIG"
 fi
@@ -46871,12 +46689,6 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
         WITH_PLUGIN_SDL=1
       fi
     fi
-  else
-        if test "$wxUSE_MGL" = 1; then
-        { echo "$as_me:$LINENO: WARNING: wxSound not supported in MGL under DOS... disabled" >&5
-echo "$as_me: WARNING: wxSound not supported in MGL under DOS... disabled" >&2;}
-        wxUSE_SOUND="no"
-    fi
   fi
 fi
 
@@ -48551,14 +48363,6 @@ _ACEOF
 fi
 
 
-if test "$wxUSE_SOCKETS" = "yes"; then
-    if test "$wxUSE_MGL" = 1; then
-        { echo "$as_me:$LINENO: WARNING: wxSocket not yet supported under MGL... disabled" >&5
-echo "$as_me: WARNING: wxSocket not yet supported under MGL... disabled" >&2;}
-        wxUSE_SOCKETS="no"
-    fi
-fi
-
 if test "$wxUSE_SOCKETS" = "yes"; then
         if test "$TOOLKIT" != "MSW"; then
                 { echo "$as_me:$LINENO: checking for socket" >&5
@@ -49313,7 +49117,6 @@ echo "${ECHO_T}$wxUSE_JOYSTICK" >&6; }
         fi
 
         else
-                if test "$wxUSE_MGL" != 1; then
 
 for ac_header in linux/joystick.h
 do
@@ -49372,7 +49175,6 @@ fi
 
 done
 
-        fi
     fi
 
     if test "$wxUSE_JOYSTICK" = "yes"; then
@@ -49771,16 +49573,10 @@ _ACEOF
 fi
 
 if test "$wxUSE_DATAOBJ" = "yes"; then
-    if test "$wxUSE_MGL" = 1 -o "$wxUSE_DFB" = 1; then
-        { echo "$as_me:$LINENO: WARNING: wxDataObject not yet supported under $TOOLKIT... disabled" >&5
-echo "$as_me: WARNING: wxDataObject not yet supported under $TOOLKIT... disabled" >&2;}
-        wxUSE_DATAOBJ=no
-    else
-        cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define wxUSE_DATAOBJ 1
 _ACEOF
 
-    fi
 else
     { echo "$as_me:$LINENO: WARNING: Clipboard and drag-and-drop require wxDataObject -- disabled" >&5
 echo "$as_me: WARNING: Clipboard and drag-and-drop require wxDataObject -- disabled" >&2;}
@@ -49789,7 +49585,7 @@ echo "$as_me: WARNING: Clipboard and drag-and-drop require wxDataObject -- disab
 fi
 
 if test "$wxUSE_CLIPBOARD" = "yes"; then
-    if test "$wxUSE_MGL" = 1 -o "$wxUSE_DFB" = 1; then
+    if test "$wxUSE_DFB" = 1; then
         { echo "$as_me:$LINENO: WARNING: Clipboard not yet supported under $TOOLKIT... disabled" >&5
 echo "$as_me: WARNING: Clipboard not yet supported under $TOOLKIT... disabled" >&2;}
         wxUSE_CLIPBOARD=no
@@ -49804,8 +49600,7 @@ _ACEOF
 fi
 
 if test "$wxUSE_DRAG_AND_DROP" = "yes" ; then
-    if test "$wxUSE_MOTIF" = 1 -o "$wxUSE_X11" = 1 -o "$wxUSE_MGL" = 1 -o \
-            "$wxUSE_DFB" = 1; then
+    if test "$wxUSE_MOTIF" = 1 -o "$wxUSE_X11" = 1 -o "$wxUSE_DFB" = 1; then
         { echo "$as_me:$LINENO: WARNING: Drag and drop not yet supported under $TOOLKIT... disabled" >&5
 echo "$as_me: WARNING: Drag and drop not yet supported under $TOOLKIT... disabled" >&2;}
         wxUSE_DRAG_AND_DROP=no
@@ -50042,7 +49837,7 @@ _ACEOF
 fi
 
 if test "$wxUSE_DISPLAY" = "yes"; then
-    if test "$wxUSE_DFB" = 1 -o "$wxUSE_MGL" = 1; then
+    if test "$wxUSE_DFB" = 1; then
         { echo "$as_me:$LINENO: WARNING: wxDisplay not yet supported under $TOOLKIT... disabled" >&5
 echo "$as_me: WARNING: wxDisplay not yet supported under $TOOLKIT... disabled" >&2;}
         wxUSE_DISPLAY=no
@@ -50468,7 +50263,7 @@ _ACEOF
 fi
 
 if test "$wxUSE_DIALUP_MANAGER" = "yes"; then
-    if test "$wxUSE_MAC" = 1 -o "$wxUSE_OLD_COCOA" = 1 -o "$wxUSE_MGL" = 1; then
+    if test "$wxUSE_MAC" = 1 -o "$wxUSE_OLD_COCOA" = 1; then
         { echo "$as_me:$LINENO: WARNING: Dialup manager not supported on this platform... disabled" >&5
 echo "$as_me: WARNING: Dialup manager not supported on this platform... disabled" >&2;}
     else
@@ -50822,120 +50617,85 @@ if test "$wxUSE_WEBVIEW" = "yes"; then
     USE_WEBVIEW_WEBKIT=0
     if test "$wxUSE_WEBVIEW_WEBKIT" = "yes"; then
         if test "$wxUSE_GTK" = 1; then
-            { echo "$as_me:$LINENO: checking for webkitgtk libraries" >&5
-echo $ECHO_N "checking for webkitgtk libraries... $ECHO_C" >&6; }
 
-  ac_find_libraries=
-  for ac_dir in  $SEARCH_LIB
-  do
-    for ac_extension in a so sl dylib dll.a; do
-      if test -f "$ac_dir/libwebkitgtk-1.0.$ac_extension"; then
-        ac_find_libraries=$ac_dir
-        break 2
-      fi
-    done
-  done
-
-            if test "$ac_find_libraries" != "" ; then
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for WEBKIT" >&5
+echo $ECHO_N "checking for WEBKIT... $ECHO_C" >&6; }
 
-    if test "$ac_find_libraries" = "default location"; then
-    ac_path_to_link=""
-  else
-    echo "$LDFLAGS" | grep "\-L$ac_find_libraries" > /dev/null
-    result=$?
-    if test $result = 0; then
-      ac_path_to_link=""
+if test -n "$PKG_CONFIG"; then
+    if test -n "$WEBKIT_CFLAGS"; then
+        pkg_cv_WEBKIT_CFLAGS="$WEBKIT_CFLAGS"
     else
-      ac_path_to_link=" -L$ac_find_libraries"
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"webkit-1.0 >= 1.3.1\"") >&5
+  ($PKG_CONFIG --exists --print-errors "webkit-1.0 >= 1.3.1") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_WEBKIT_CFLAGS=`$PKG_CONFIG --cflags "webkit-1.0 >= 1.3.1" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
     fi
-  fi
-
-                if test "$ac_path_to_link" != " -L/usr/lib" ; then
-                    LDFLAGS="$LDFLAGS $ac_path_to_link"
-                fi
-                GUI_TK_LIBRARY="$GUI_TK_LIBRARY -lwebkitgtk-1.0"
-                { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
+else
+       pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$WEBKIT_LIBS"; then
+        pkg_cv_WEBKIT_LIBS="$WEBKIT_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"webkit-1.0 >= 1.3.1\"") >&5
+  ($PKG_CONFIG --exists --print-errors "webkit-1.0 >= 1.3.1") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_WEBKIT_LIBS=`$PKG_CONFIG --libs "webkit-1.0 >= 1.3.1" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+       pkg_failed=untried
+fi
 
-                { echo "$as_me:$LINENO: checking for webkitgtk headers" >&5
-echo $ECHO_N "checking for webkitgtk headers... $ECHO_C" >&6; }
 
-ac_find_includes=
-for ac_dir in $SEARCH_INCLUDE /usr/include/webkit-1.0 /usr/include
-  do
-    if test -f "$ac_dir/webkit/webkit.h"; then
-      ac_find_includes=$ac_dir
-      break
-    fi
-  done
 
-                if test "$ac_find_includes" != "" ; then
-                   { echo "$as_me:$LINENO: result: found in $ac_find_includes" >&5
-echo "${ECHO_T}found in $ac_find_includes" >&6; }
+if test $pkg_failed = yes; then
 
-    if test "x$ac_find_includes" = "x/usr/include"; then
-    ac_path_to_include=""
-  else
-    echo "$CPPFLAGS" | grep "\-I$ac_find_includes" > /dev/null
-    result=$?
-    if test $result = 0; then
-      ac_path_to_include=""
-    else
-      ac_path_to_include=" -I$ac_find_includes"
-    fi
-  fi
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+               WEBKIT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "webkit-1.0 >= 1.3.1"`
+        else
+               WEBKIT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "webkit-1.0 >= 1.3.1"`
+        fi
+       # Put the nasty error message in config.log where it belongs
+       echo "$WEBKIT_PKG_ERRORS" >&5
 
-                   CPPFLAGS="$ac_path_to_include $CPPFLAGS"
 
-                                      { echo "$as_me:$LINENO: checking for libsoup headers" >&5
-echo $ECHO_N "checking for libsoup headers... $ECHO_C" >&6; }
+                                { echo "$as_me:$LINENO: WARNING: webkitgtk not found." >&5
+echo "$as_me: WARNING: webkitgtk not found." >&2;}
 
-ac_find_includes=
-for ac_dir in $SEARCH_INCLUDE /usr/include/libsoup-2.4 /usr/include
-  do
-    if test -f "$ac_dir/libsoup/soup.h"; then
-      ac_find_includes=$ac_dir
-      break
-    fi
-  done
+elif test $pkg_failed = untried; then
 
-                   if test "$ac_find_includes" != "" ; then
-                       { echo "$as_me:$LINENO: result: found in $ac_find_includes" >&5
-echo "${ECHO_T}found in $ac_find_includes" >&6; }
+                                { echo "$as_me:$LINENO: WARNING: webkitgtk not found." >&5
+echo "$as_me: WARNING: webkitgtk not found." >&2;}
 
-    if test "x$ac_find_includes" = "x/usr/include"; then
-    ac_path_to_include=""
-  else
-    echo "$CPPFLAGS" | grep "\-I$ac_find_includes" > /dev/null
-    result=$?
-    if test $result = 0; then
-      ac_path_to_include=""
-    else
-      ac_path_to_include=" -I$ac_find_includes"
-    fi
-  fi
+else
+       WEBKIT_CFLAGS=$pkg_cv_WEBKIT_CFLAGS
+       WEBKIT_LIBS=$pkg_cv_WEBKIT_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 
-                       CPPFLAGS="$ac_path_to_include $CPPFLAGS"
+                                USE_WEBVIEW_WEBKIT=1
+                                CPPFLAGS="$CPPFLAGS $WEBKIT_CFLAGS"
+                                GUI_TK_LIBRARY="$GUI_TK_LIBRARY $WEBKIT_LIBS"
 
-                       USE_WEBVIEW_WEBKIT=1
-                   else
-                       { echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-                       { echo "$as_me:$LINENO: WARNING: libsoup headers not found; disabling WebKit backend" >&5
-echo "$as_me: WARNING: libsoup headers not found; disabling WebKit backend" >&2;}
-                   fi
-                else
-                   { echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6; }
-                   { echo "$as_me:$LINENO: WARNING: WebKit headers not found; disabling WebKit backend" >&5
-echo "$as_me: WARNING: WebKit headers not found; disabling WebKit backend" >&2;}
-                fi
-            else
-                { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-                { echo "$as_me:$LINENO: WARNING: WebKit libraries not found; disabling WebKit backend" >&5
-echo "$as_me: WARNING: WebKit libraries not found; disabling WebKit backend" >&2;}
-            fi
+fi
         elif test "$wxUSE_MAC" = 1 -a "$USE_DARWIN" = 1; then
                                     old_CPPFLAGS="$CPPFLAGS"
             CPPFLAGS="-x objective-c++ $CPPFLAGS"
@@ -54904,16 +54664,6 @@ EOF
         COND_PLATFORM_UNIX_1=""
     fi
 
-    COND_PLATFORM_UNIX_1_TOOLKIT_MGL="#"
-    if test "x$PLATFORM_UNIX" = "x1" -a "x$TOOLKIT" = "xMGL" ; then
-        COND_PLATFORM_UNIX_1_TOOLKIT_MGL=""
-    fi
-
-    COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1="#"
-    if test "x$PLATFORM_UNIX" = "x1" -a "x$TOOLKIT" = "xMGL" -a "x$USE_GUI" = "x1" ; then
-        COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1=""
-    fi
-
     COND_PLATFORM_UNIX_1_USE_GUI_1="#"
     if test "x$PLATFORM_UNIX" = "x1" -a "x$USE_GUI" = "x1" ; then
         COND_PLATFORM_UNIX_1_USE_GUI_1=""
@@ -55084,16 +54834,6 @@ EOF
         COND_TOOLKIT_MAC=""
     fi
 
-    COND_TOOLKIT_MGL="#"
-    if test "x$TOOLKIT" = "xMGL" ; then
-        COND_TOOLKIT_MGL=""
-    fi
-
-    COND_TOOLKIT_MGL_USE_GUI_1="#"
-    if test "x$TOOLKIT" = "xMGL" -a "x$USE_GUI" = "x1" ; then
-        COND_TOOLKIT_MGL_USE_GUI_1=""
-    fi
-
     COND_TOOLKIT_MOTIF="#"
     if test "x$TOOLKIT" = "xMOTIF" ; then
         COND_TOOLKIT_MOTIF=""
@@ -56320,7 +56060,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by wxWidgets $as_me 2.9.3, which was
+This file was extended by wxWidgets $as_me 2.9.4, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -56373,7 +56113,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-wxWidgets config.status 2.9.3
+wxWidgets config.status 2.9.4
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -56719,6 +56459,8 @@ HILDON2_CFLAGS!$HILDON2_CFLAGS$ac_delim
 HILDON2_LIBS!$HILDON2_LIBS$ac_delim
 PYTHON!$PYTHON$ac_delim
 COND_PYTHON!$COND_PYTHON$ac_delim
+WEBKIT_CFLAGS!$WEBKIT_CFLAGS$ac_delim
+WEBKIT_LIBS!$WEBKIT_LIBS$ac_delim
 CAIRO_CFLAGS!$CAIRO_CFLAGS$ac_delim
 CAIRO_LIBS!$CAIRO_LIBS$ac_delim
 GST_CFLAGS!$GST_CFLAGS$ac_delim
@@ -56800,8 +56542,6 @@ SHARED_LD_CC!$SHARED_LD_CC$ac_delim
 SHARED_LD_CXX!$SHARED_LD_CXX$ac_delim
 SHARED_LD_MODULE_CC!$SHARED_LD_MODULE_CC$ac_delim
 SHARED_LD_MODULE_CXX!$SHARED_LD_MODULE_CXX$ac_delim
-PIC_FLAG!$PIC_FLAG$ac_delim
-WINDOWS_IMPLIB!$WINDOWS_IMPLIB$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -56843,6 +56583,8 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+PIC_FLAG!$PIC_FLAG$ac_delim
+WINDOWS_IMPLIB!$WINDOWS_IMPLIB$ac_delim
 USE_SOVERSION!$USE_SOVERSION$ac_delim
 USE_SOVERLINUX!$USE_SOVERLINUX$ac_delim
 USE_SOVERSOLARIS!$USE_SOVERSOLARIS$ac_delim
@@ -56938,8 +56680,6 @@ COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOL
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_CARBON_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_COCOA_USE_GUI_1_WXUNIV_0$ac_delim
-COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
-COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -56981,6 +56721,8 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1$ac_delim
+COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0!$COND_PLATFORM_MACOSX_1_TOOLKIT_OSX_IPHONE_USE_GUI_1_WXUNIV_0$ac_delim
 COND_PLATFORM_MACOSX_1_USE_GUI_1!$COND_PLATFORM_MACOSX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_OPENGL_1!$COND_PLATFORM_MACOSX_1_USE_OPENGL_1$ac_delim
 COND_PLATFORM_MACOSX_1_USE_SOVERSION_1!$COND_PLATFORM_MACOSX_1_USE_SOVERSION_1$ac_delim
@@ -56992,8 +56734,6 @@ COND_PLATFORM_MSDOS_1!$COND_PLATFORM_MSDOS_1$ac_delim
 COND_PLATFORM_OS2_1!$COND_PLATFORM_OS2_1$ac_delim
 COND_PLATFORM_UNIX_0!$COND_PLATFORM_UNIX_0$ac_delim
 COND_PLATFORM_UNIX_1!$COND_PLATFORM_UNIX_1$ac_delim
-COND_PLATFORM_UNIX_1_TOOLKIT_MGL!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL$ac_delim
-COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1!$COND_PLATFORM_UNIX_1_TOOLKIT_MGL_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_GUI_1!$COND_PLATFORM_UNIX_1_USE_GUI_1$ac_delim
 COND_PLATFORM_UNIX_1_USE_PLUGINS_0!$COND_PLATFORM_UNIX_1_USE_PLUGINS_0$ac_delim
 COND_PLATFORM_WIN32_0!$COND_PLATFORM_WIN32_0$ac_delim
@@ -57028,8 +56768,6 @@ COND_TOOLKIT_GTK_TOOLKIT_VERSION__USE_GUI_1!$COND_TOOLKIT_GTK_TOOLKIT_VERSION__U
 COND_TOOLKIT_GTK_TOOLKIT_VERSION__USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_GTK_TOOLKIT_VERSION__USE_GUI_1_WXUNIV_0$ac_delim
 COND_TOOLKIT_GTK_USE_GUI_1!$COND_TOOLKIT_GTK_USE_GUI_1$ac_delim
 COND_TOOLKIT_MAC!$COND_TOOLKIT_MAC$ac_delim
-COND_TOOLKIT_MGL!$COND_TOOLKIT_MGL$ac_delim
-COND_TOOLKIT_MGL_USE_GUI_1!$COND_TOOLKIT_MGL_USE_GUI_1$ac_delim
 COND_TOOLKIT_MOTIF!$COND_TOOLKIT_MOTIF$ac_delim
 COND_TOOLKIT_MOTIF_USE_GUI_1!$COND_TOOLKIT_MOTIF_USE_GUI_1$ac_delim
 COND_TOOLKIT_MOTIF_USE_GUI_1_WXUNIV_0!$COND_TOOLKIT_MOTIF_USE_GUI_1_WXUNIV_0$ac_delim
@@ -57078,6 +56816,8 @@ COND_USE_SOVERCYGWIN_1_USE_SOVERSION_1!$COND_USE_SOVERCYGWIN_1_USE_SOVERSION_1$a
 COND_USE_SOVERLINUX_1!$COND_USE_SOVERLINUX_1$ac_delim
 COND_USE_SOVERSION_0!$COND_USE_SOVERSION_0$ac_delim
 COND_USE_SOVERSION_1_USE_SOVERSOLARIS_1!$COND_USE_SOVERSION_1_USE_SOVERSOLARIS_1$ac_delim
+COND_USE_SOVERSOLARIS_1!$COND_USE_SOVERSOLARIS_1$ac_delim
+COND_USE_STC_1!$COND_USE_STC_1$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -57119,8 +56859,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-COND_USE_SOVERSOLARIS_1!$COND_USE_SOVERSOLARIS_1$ac_delim
-COND_USE_STC_1!$COND_USE_STC_1$ac_delim
 COND_USE_THREADS_0!$COND_USE_THREADS_0$ac_delim
 COND_USE_THREADS_1!$COND_USE_THREADS_1$ac_delim
 COND_USE_XRC_1!$COND_USE_XRC_1$ac_delim
@@ -57187,7 +56925,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 66; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 64; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5